package io.renren.modules.app.dao;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

/**
 * 维修资金续(补)缴
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface WxzjxjDao extends BaseMapper<YwpzEntity> {

	// 下拉框
	List<XlkEntity> selectxq();

	List<XlkEntity> selectxm(String bm);

	List<XlkEntity> selectlz(String bm);

	List<XlkEntity> selectjsyh();

	List<XlkEntity> selectjsfs();
	
	List<XlkEntity> selectfwbylz(String id);
	//列表
	FwxxEntity selectfw(YwpzEntity ywpzEntity);
	
	//保存按钮
	void insertbc(YwpzEntity ywpzEntity);
	void insertgrmx(YwpzEntity ywpzEntity);
    void updatefwgrje(FwxxEntity fwxxEntity);
    List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);
    void deleteywpz(String id);
    void deleteywpzmx(String id);
    String queryByCount(String date);
    ZhxxEntity selectzhxx(String id);
    void updatezhxx(ZhxxEntity zhxxEntity);
    XlkEntity selectxmbydh(String id);
}
